## pyinstaller 6.16.0+ds

=== doc/requirements.txt ===
alabaster==0.7.16
altgraph==0.17.4
Babel==2.15.0
charset-normalizer==3.3.2
click==8.1.7
docutils==0.20.1
idna==3.7
imagesize==1.4.1
incremental==22.10.0
Jinja2==3.1.4
MarkupSafe==2.1.5
Pygments==2.18.0
pytz==2024.1
requests==2.32.3
snowballstemmer==2.2.0
Sphinx==7.3.7
sphinx-autodoc-typehints==2.2.2
sphinxcontrib-applehelp==1.0.8
sphinxcontrib-devhelp==1.0.6
sphinxcontrib-htmlhelp==2.0.5
sphinxcontrib-jquery==4.1
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.7
sphinxcontrib-serializinghtml==1.1.10
sphinxcontrib-towncrier==0.4.0a0
sphinx-issues==4.1.0
sphinx-rtd-theme==2.0.0
towncrier==23.11.0
urllib3==2.2.2

=== bootloader/tests/wscript ===
# -*- mode: python -*- vim: filetype=python
# -----------------------------------------------------------------------------
# Copyright (c) 2014-2023, PyInstaller Development Team.
#
# Distributed under the terms of the GNU General Public License (version 2
# or later) with exception for distributing the bootloader.
#
# The full license is in the file COPYING.txt, distributed with this software.
#
# SPDX-License-Identifier: (GPL-2.0-or-later WITH Bootloader-exception)
# -----------------------------------------------------------------------------

def configure(ctx):
    ctx.msg('Build tests', "enabled" if ctx.options.enable_tests else "disabled")
    if ctx.options.enable_tests:
        ctx.check_cc(lib='cmocka', mandatory=False, uselib_store='CMOCKA')


def build(ctx):

    def test_program(name):
        if ctx.env.DEST_OS == 'win32':
            # Z: inflate*()
            # ADVAPI32: ConvertStringSecurityDescriptorToSecurityDescriptorW()
            extra_libs=['ADVAPI32', 'Z', 'STATIC_ZLIB']
        else:
            extra_libs=['STATIC_ZLIB']
        ctx.program(
            source= ["test_%s.c" % name],
            target="test_%s" % name,
            includes='../src',
            use=ctx.env.link_with_dynlibs + ["CMOCKA", "OBJECTS"] + extra_libs,
            stlib=ctx.env.link_with_staticlibs,
            install_path=None,
        )

    if ctx.env.DEST_OS == 'win32' and ctx.variant.endswith('w'):
        # Skip building tests on Windows with windowed variants. In addition to
        # requiring additional libraries, these also expect the entry point to
        # be WinMain() instead of main().
        return

    if ctx.options.enable_tests and "LIB_CMOCKA" in ctx.env:
        test_program("path")
        test_program("multipkg")

=== debian/control ===
Source: pyinstaller
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Soren Stoutner <soren@debian.org>
# Some of the tests are currently non-functional.  The commented dependencies
# are part of a work-in-progress to get them working.
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-hatchling,
               python3-setuptools,
               zlib1g-dev,
               ghostscript <!nocheck>,
#               libkf6i18nlocaledata6 <!nocheck>,
#               locales <!nocheck>,
               pyinstaller-hooks-contrib <!nocheck>,
               pyqt6-dev-tools <!nocheck>,
               python3-all-dev <!nocheck>,
               python3-altgraph <!nocheck>,
               python3-dev <!nocheck>,
               python3-django <!nocheck>,
               python3-elementpath <!nocheck>,
               python3-gevent <!nocheck>,
               python3-ipython <!nocheck>,
               python3-jinja2 <!nocheck>,
               python3-lxml <!nocheck>,
               python3-matplotlib <!nocheck>,
               python3-numpy <!nocheck>,
               python3-pandas <!nocheck>,
               python3-pil <!nocheck>,
               python3-pkg-resources <!nocheck>,
               python3-psutil <!nocheck>,
               python3-pygments <!nocheck>,
               python3-pyqt5.qtmultimedia <!nocheck>,
               python3-pyqt5.qtquick <!nocheck>,
               python3-pyqt5.qtwebengine <!nocheck>,
               python3-pyqt6.qtmultimedia <!nocheck>,
               python3-pyqt6.qtqml <!nocheck>,
               python3-pyqt6.qtquick <!nocheck>,
               python3-pyqt6.qtwebengine <!nocheck>,
               python3-pyside2.qtcore <!nocheck>,
               python3-pyside2.qtmultimedia <!nocheck>,
               python3-pyside2.qtnetwork <!nocheck>,
               python3-pyside2.qtqml <!nocheck>,
               python3-pyside2.qtquick <!nocheck>,
               python3-pyside2.qtuitools <!nocheck>,
               python3-pyside2.qtwebengine <!nocheck>,
               python3-pyside2.qtwebenginewidgets <!nocheck>,
               python3-pyside2.qtwidgets <!nocheck>,
               python3-pyside6.qtmultimedia <!nocheck>,
               python3-pyside6.qtnetwork <!nocheck>,
               python3-pyside6.qtquick3d <!nocheck>,
               python3-pyside6.qtquickcontrols2 <!nocheck>,
               python3-pyside6.qtquickwidgets <!nocheck>,
               python3-pyside6.qtuitools <!nocheck>,
               python3-pyside6.qtwebenginequick <!nocheck>,
               python3-pyside6.qtwebenginewidgets <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-xvfb <!nocheck>,
#               python3-pytzdata <!nocheck>,
               python3-requests <!nocheck>,
               python3-scapy <!nocheck>,
               python3-scipy <!nocheck>,
               python3-six <!nocheck>,
               python3-sphinx <!nocheck>,
               python3-sqlalchemy <!nocheck>,
               python3-tk <!nocheck>,
               python3-twisted <!nocheck>,
               python3-urllib3 <!nocheck>,
               python3-zeep <!nocheck>,
               python3-zope.interface <!nocheck>,
               qml-module-qtquick-controls <!nocheck>,
               qml-module-qtquick-controls2 <!nocheck>,
               qml-module-qtwebengine <!nocheck>,
               qml6-module-qtqml-workerscript <!nocheck>,
               qml6-module-qtquick-controls <!nocheck>,
               qml6-module-qtquick-window <!nocheck>,
               qml6-module-qtwebengine <!nocheck>,
#               tzdata <!nocheck>,
               xmldiff <!nocheck>
Homepage: https://pyinstaller.org/en/stable/
Vcs-Git: https://salsa.debian.org/python-team/packages/pyinstaller.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyinstaller
Standards-Version: 4.7.2

Package: pyinstaller
Architecture: all
Section: utils
Depends: python3-pyinstaller (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Utility to bundle a Python application into a single package
 PyInstaller reads a Python script written by you. It analyzes your code to
 discover every other module and library your script needs in order to execute.
 Then it collects copies of all those files and puts them with your script in a
 single folder, or optionally in a single executable file.
 .
 This package contains the executables.  It depends on 'python3-pyinstaller',
 which contains the Python modules.

Package: python3-pyinstaller
# The architecture needs to be any because of the compiled bootloader.
Architecture: any
# binutils and python3-dev are needed at runtime.  See <https://github.com/pyinstaller/pyinstaller-hooks-contrib/issues/873#issuecomment-2708297792>
Depends: binutils,
         python3-dev,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: pyinstaller-hooks-contrib
Description: Python modules to bundle a Python application into a single package
 PyInstaller reads a Python script written by you. It analyzes your code to
 discover every other module and library your script needs in order to execute.
 Then it collects copies of all those files and puts them with your script in a
 single folder, or optionally in a single executable file.
 .
 This package contains the Python modules.  The utility executables are
 contained in the 'pyinstaller' package.

=== debian/tests/control ===
Tests: upstream-tests
Depends: @,
         ghostscript,
         pyqt6-dev-tools,
         python3-all-dev,
         python3-dev,
         python3-django,
         python3-elementpath,
         python3-gevent,
         python3-ipython,
         python3-jinja2,
         python3-lxml,
         python3-matplotlib,
         python3-numpy,
         python3-pandas,
         python3-pil,
         python3-psutil,
         python3-pygments,
         python3-pyqt5.qtmultimedia,
         python3-pyqt5.qtquick,
         python3-pyqt5.qtwebengine,
         python3-pyqt6.qtmultimedia,
         python3-pyqt6.qtqml,
         python3-pyqt6.qtquick,
         python3-pyqt6.qtwebengine,
         python3-pyside2.qtcore,
         python3-pyside2.qtmultimedia,
         python3-pyside2.qtnetwork,
         python3-pyside2.qtqml,
         python3-pyside2.qtquick,
         python3-pyside2.qtuitools,
         python3-pyside2.qtwebengine,
         python3-pyside2.qtwebenginewidgets,
         python3-pyside2.qtwidgets,
         python3-pyside6.qtmultimedia,
         python3-pyside6.qtnetwork,
         python3-pyside6.qtquick3d,
         python3-pyside6.qtquickcontrols2,
         python3-pyside6.qtquickwidgets,
         python3-pyside6.qtuitools,
         python3-pyside6.qtwebenginequick,
         python3-pyside6.qtwebenginewidgets,
         python3-pytest,
         python3-pytest-xvfb,
         python3-requests,
         python3-scapy,
         python3-scipy,
         python3-six,
         python3-sphinx,
         python3-sqlalchemy,
         python3-tk,
         python3-twisted,
         python3-urllib3,
         python3-zeep,
         python3-zope.interface,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtwebengine,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-window,
         qml6-module-qtwebengine,
         xmldiff

## pyinstaller 6.18.0%2Bds

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment below to enable verbose build messages.
#export DH_VERBOSE = 1

# Enable all build hardening flags.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Export the DPKG default build flags.
DPKG_EXPORT_BUILDFLAGS = 1

# Include the default build flags.  <https://wiki.debian.org/Hardening#dpkg-buildflags>
include /usr/share/dpkg/buildflags.mk

# Enable the verbose waf build argument so that blhc can analyze the build flags.  waf is the system that builds the bootloader from C code.
export PYINSTALLER_BOOTLOADER_WAF_ARGS = --verbose

# Disable the tests that don't currently work.  It will be possible to reenable most/all of these once pyinstaller-hooks-contrib is packaged, but that depends on this package to be in Debian first.
# * TestFunctions.test_find_module requires modulegraph, which isn't currently packaged in Debian.  TODO:  Possibly.  Other modulegraph tests succeed.
# * test_user_preferred_locale fails with a locale error, possibly because the build environment might force a default locale.
# * test_pytz fails with a locale error, possibly because the build environment might force a default locale.
# * test_gevent fails because it depends on pyinstaller-hooks-contrib, which is not yet packaged.
# * test_zope_interface fails because it depends on pyinstaller-hooks-contrib, which is not yet packaged.
# * test_scapy3 fails with an import error.  It might be fixed once pyinstaller-hooks-contrib is packaged.
# * test_Qt_QTranslate fails for a currently unknown reason (an assertion error).  It might be fixed when pyinstaller-hooks-contrib is packaged.
export PYBUILD_TEST_ARGS=-n 4 -k 'not test_find_module \
  and not test_Qt_QTranslate \
  and not test_scapy3 \
  and not test_gevent \
  and not test_user_preferred_locale \
  and not test_zope_interface'
#  and not test_pytz'

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	# Remove the unnecessary library README file.
	rm debian/tmp/usr/lib/python3*/dist-packages/PyInstaller/lib/README.rst

## pyinstaller 6.18.0+ds

=== bootloader/wscript ===
#!/usr/bin/env python3
# -----------------------------------------------------------------------------
# Copyright (c) 2014-2023, PyInstaller Development Team.
#
# Distributed under the terms of the GNU General Public License (version 2
# or later) with exception for distributing the bootloader.
#
# The full license is in the file COPYING.txt, distributed with this software.
#
# SPDX-License-Identifier: (GPL-2.0-or-later WITH Bootloader-exception)
# -----------------------------------------------------------------------------
"""
Bootloader building script.
"""

import os
import platform
import sys
import re
import sysconfig
from waflib.Configure import conf
from waflib import Logs, Utils, Options
from waflib.Build import BuildContext, InstallContext

# waf does not work unless it is ran from in this folder, so it is safe to assume the current working directory here.
sys.path.insert(0, os.path.realpath("../PyInstaller/"))
import _shared_with_waf  # noqa: E402

# The following two variables are used by the target "waf dist"
VERSION = 'nodist'
APPNAME = 'PyInstallerBootloader'

# These variables are mandatory ('/' are converted automatically)
top = '.'
out = 'build'

# Build variants of bootloader.
# PyInstaller provides debug/release bootloaders and console/windowed variants. Each variant has a different exe name.
variants = {
    'debug': 'run_d',
    'debugw': 'runw_d',
    'release': 'run',
    'releasew': 'runw',
}

# PyInstaller only knows platform.system(), so we need to map waf's DEST_OS to these values.
DESTOS_TO_SYSTEM = {
    'linux': 'Linux',
    'freebsd': 'FreeBSD',
    'openbsd': 'OpenBSD',
    'win32': 'Windows',
    'darwin': 'Darwin',
    'sunos': platform.system(),  # FIXME: inhibits cross-compile
    'hpux': 'HP-UX',
    'aix': 'AIX',
    'cygwin': 'Cygwin',
}

# Map from platform.system() to waf's DEST_OS
SYSTEM_TO_BUILDOS = {
    'Linux': 'linux',
    'FreeBSD': 'freebsd',
    'Windows': 'win32',
    'Darwin': 'darwin',
    'Solaris': 'sunos',
    'SunOS': 'sunos',
    'HP-UX': 'hpux',
    'AIX': 'aix',
    'Cygwin': 'cygwin',
}

# waf's name of the system we are building on
if sys.platform == 'cygwin':
    # Cygwin needs special handling, because platform.system() contains identifiers such as MSYS_NT-10.0-19042 and
    # CYGWIN_NT-10.0-19042 that do not fit PyInstaller's OS naming scheme, nor waf's DEST_OS, which is 'cygwin'.
    BUILD_OS = SYSTEM_TO_BUILDOS.get('Cygwin')
else:
    BUILD_OS = SYSTEM_TO_BUILDOS.get(platform.system(), platform.system())

is_cross = None


def machine(ctx):
    """
    Determine path to bootloader based on C compiler target.
    """
    return _shared_with_waf._pyi_machine(ctx.env.DEST_CPU, DESTOS_TO_SYSTEM[ctx.env.DEST_OS])


def is_msvc_target(ctx):
    """
    clang may be compiled to use either MSVC's headers or mingw's. If it's the former, it inherits some of MSVC's
    quirks.
    """
    if ctx.env.CC_NAME == 'clang':
        from subprocess import run, PIPE
        spec = run(ctx.env.CC + ["-v"], stderr=PIPE).stderr
        return re.search(rb'Target: .*msvc', spec)
    return ctx.env.CC_NAME == 'msvc'


@conf
def is_musl(ctx):
    """Return true if the C compiler targets Linux using musl libc. Always false on non-Linux."""
    if ctx.env.DEST_OS != 'linux':
        return False
    from subprocess import run, PIPE
    spec = run(ctx.env.CC + ["-v"], stderr=PIPE).stderr
    return re.search(rb'--target=\S+-musl', spec) or re.search(rb'Target: .*musl', spec)


def options(ctx):
    ctx.load('compiler_c')

    ctx.add_option(
        '--debug',
        action='store_true',
        help='Include debugging info for GDB.',
        default=False,
        dest='debug',
    )
    ctx.add_option(
        '--clang',
        action='store_true',
        help='Try to find clang C compiler instead of gcc.',
        default=False,
        dest='clang',
    )
    ctx.add_option(
        '--gcc',
        action='store_true',
        help='Try to find GNU C compiler.',
        default=False,
        dest='gcc',
    )
    ctx.add_option(
        '--target-arch',
        action='store',
        help='Target architecture format (32bit, 64bit). This option allows to build 32-bit bootloader with a 64-bit '
        'compiler and a 64-bit Python.',
        default=None,
        choices=('32bit', '64bit', '64bit-arm'),
        dest='target_arch',
    )
    ctx.add_option(
        '--static-zlib',
        action='store_true',
        help='Statically compile zlib into the bootloaders rather than dynamically linking to the system-wide copy. '
        'This is always done on Windows.',
        default=False,
    )
    ctx.add_option(
        '--tests',
        action='store_true',
        help='Enable cmocka-based tests if cmocka library is found. The tests are disabled by default.',
        default=False,
        dest='enable_tests',
    )
    ctx.add_option(
        '--no-tests',
        action='store_false',
        help='Disable cmocka-based tests, even if cmocka library is found. The tests are disabled by default.',
        default=False,
        dest='enable_tests',
    )

    grp = ctx.add_option_group('macOS-specific options', 'These options have effect only on macOS.')
    grp.add_option(
        '--universal2',
        action='store_true',
        help='When building for 64-bit platform, build universal2 fat binary (x86_64, arm64). This is the default.',
        default=None,
        dest='macos_universal2',
    )
    grp.add_option(
        '--no-universal2',
        action='store_false',
        help="When building for 64-bit platform, build a thin binary. Allows building with older toolchains that do "
        "not support universal2 binaries. The resultant architecture is determined by the compiler's default, which "
        "is usually to build a native executable. This may be overridden by setting the CC environment variable, e.g., "
        "CC='clang -arch=arm64' python waf all",
        default=None,
        dest='macos_universal2',
    )


def check_sizeof_pointer(ctx):
    def check(type, expected):
        # test code taken from autoconf resp. Scons: this is a pretty clever hack to find that a type is of a given
        # size using only compilation. This speeds things up quite a bit compared to straightforward code actually
        # running the code. Plus: This works cross :-)
        fragment = '''
        int main() {
            static int test_array[1 - 2 * !(sizeof(%s) == %d)];
            test_array[0] = 0;
            return 0;
        }''' % (type, expected)
        return ctx.check_cc(fragment=fragment, execute=False, mandatory=False)

    ctx.start_msg("Checking size of pointer")
    for size in (4, 8):
        if check("void *", size):
            break
    else:
        ctx.end_msg(False)
        ctx.fatal(
            "Could not determine pointer size. Use `--target-arch' to manually set the pointer size (32bit or 64bit)."
        )
    ctx.end_msg(size)
    return size


@conf
def detect_arch(ctx):
    """
    Handle --target-arch options, or use the same architecture as the compiler.
    """
    try:
        system = DESTOS_TO_SYSTEM[ctx.env.DEST_OS]
    except KeyError:
        ctx.fatal('Unrecognized target system: %s' % ctx.env.DEST_OS)

    # Get arch values either from CLI or detect it.
    if ctx.options.target_arch:
        arch = ctx.options.target_arch
        ctx.msg('Platform', '%s-%s manually chosen' % (system, arch))
        ctx.env.ARCH_FLAGS_REQUIRED = True
        if arch == '64bit-arm':
            arch = '64bit'
            ctx.env.DEST_CPU = 'arm64'
    else:
        # PyInstaller uses the result of platform.architecture() to determine the bits and this is testing the pointer
        # size (via module struct). We do the same here.
        arch = "%sbit" % (8 * check_sizeof_pointer(ctx))
        _machine = machine(ctx)
        if _machine is not None:
            plat = '%s-%s-%s detected based on compiler' % (system, arch, _machine)
        else:
            plat = '%s-%s detected based on compiler' % (system, arch)
        ctx.msg('Platform', plat)
        ctx.env.ARCH_FLAGS_REQUIRED = False
    if arch not in ('32bit', '64bit'):
        ctx.fatal('Unrecognized target architecture: %s' % arch)

    # Pass return values as environment variables.
    ctx.env.PYI_ARCH = arch  # '32bit' or '64bit'
    ctx.env.PYI_SYSTEM = system


@conf
def set_arch_flags(ctx):
    """
    Set proper architecture flag (32-bit or 64-bit), cflags for compiler, and CPU target for compiler.
    """
    def check_arch_cflag(cflag32, cflag64):
        cflag = cflag32 if ctx.env.PYI_ARCH == '32bit' else cflag64
        # features='c' -> only compile, do not link
        if ctx.check_cc(cflags=cflag, features='c', mandatory=ctx.env.ARCH_FLAGS_REQUIRED):
            ctx.env.append_value('CFLAGS', cflag)
        if ctx.check_cc(linkflags=cflag, mandatory=ctx.env.ARCH_FLAGS_REQUIRED):
            ctx.env.append_value('LINKFLAGS', cflag)

    if ctx.env.DEST_OS == 'win32' and ctx.env.CC_NAME == 'msvc':
        # Set msvc linkflags based on architecture.
        if machine(ctx) == 'arm':
            ctx.env.append_value('LINKFLAGS', '/MACHINE:ARM64')
        elif ctx.env.PYI_ARCH == '32bit':
            ctx.env.append_value('LINKFLAGS', '/MACHINE:X86')
            # Set LARGE_ADDRESS_AWARE_FLAG to True. On Windows, this allows 32-bit apps to use 4GB of memory.
            ctx.env.append_value('LINKFLAGS', '/LARGEADDRESSAWARE')
        elif ctx.env.PYI_ARCH == '64bit':
            ctx.env.append_value('LINKFLAGS', '/MACHINE:X64')
        ctx.env['MSVC_TARGETS'] = _msvc_target(ctx)

        # Enable 64-bit porting warnings and other warnings.
        ctx.env.append_value('CFLAGS', '/W3')
        # Treat compiler warnings as errors.
        ctx.env.append_value('CFLAGS', '/WX')
        # Disable warnings about unrecognized pragmas.
        ctx.env.append_value('CFLAGS', '/wd4068')
        # Disable warnings about deprecated POSIX function names.
        ctx.env.append_value('CFLAGS', '/D_CRT_NONSTDC_NO_WARNINGS')
        # Disable warnings about unsafe CRT functions.
        ctx.env.append_value('CFLAGS', '/D_CRT_SECURE_NO_WARNINGS')
        # We use SEH exceptions in winmain.c; make sure they are activated.
        ctx.env.append_value('CFLAGS', '/EHa')
        # Set the PE checksum on resulting binary.
        ctx.env.append_value('LINKFLAGS', '/RELEASE')
        # Treat linker warnings as errors
        ctx.env.append_value('LINKFLAGS', '/WX')

    # Ensure proper architecture flags on macOS.
    elif ctx.env.DEST_OS == 'darwin':
        # Default compiler on macOS is Clang, which does not have '-m32' and '-m64' flags.
        if ctx.env.PYI_ARCH == '32bit':
            mac_arch = ['-arch', 'i386']
        else:
            UNIVERSAL2_FLAGS = ['-arch', 'x86_64', '-arch', 'arm64']
            if ctx.options.macos_universal2 in (None, True):
                # Check for universal2 support if set to auto-detect (neither --universal2 nor --no-universal2 is
                # provided), or if universal2 is explicitly enabled.
                supported = ctx.check_cc(
                    cflags=UNIVERSAL2_FLAGS,
                    linkflags=UNIVERSAL2_FLAGS,
                    features='c cprogram',
                    msg='Checking for universal2 support',
                    mandatory=ctx.options.macos_universal2
                )
                ctx.options.macos_universal2 = supported
            if ctx.options.macos_universal2:
                mac_arch = UNIVERSAL2_FLAGS
            else:
                # Default to whatever the compiler is configured to build.
                mac_arch = []
        ctx.env.append_value('CFLAGS', mac_arch)
        ctx.env.append_value('LINKFLAGS', mac_arch)

    # AIX specific flags
    elif ctx.env.DEST_OS == 'aix':
        if ctx.env.CC_NAME == 'gcc':
            check_arch_cflag('-maix32', '-maix64')
        else:
            # We are using AIX/xlc compiler

=== debian/changelog ===
pyinstaller (6.18.0+ds-2) unstable; urgency=medium

  * debian/tests/upstream-tests:  Bump parallelism from 4 to 8 threads
    (closes: #1127140).
  * debian/rules:  Bump test parallelism from 4 to 8 threads.

 -- Soren Stoutner <soren@debian.org>  Tue, 10 Feb 2026 16:35:33 -0700

pyinstaller (6.18.0+ds-1) unstable; urgency=medium

  * New upstream release (closes: #1124193).
  * Add debian/patches/fix-pyi-spec-options-test.patch (closes: #1124193).
  * Add python3-pyinstaller.lintian-overrides and override
    repeated-path-segment.
  * debian/source/lintian-overrides:
    - Update line numbers for two overrides.
    - Add overrides for:
      - debian-watch-does-not-check-openpgp-signature
      - maintainer-manual-page
  * debian/tests/control:  Add Depends on:
    - python3-pyside6.qtdbus
    - python3-pyside6.qtpositioning
    - tzdata-legacy
  * debian/tests/upstream-tests:  No longer disable test_pytz.
  * debian/control:
    - Add Build-Depends on:
      - python3-pyside6.qtdbus <!nocheck>
      - python3-pyside6.qtpositioning <!nocheck>
      - tzdata-legacy <!nocheck>
    - Remove Build-Depends on "python3-pkg-resources <!nocheck>"
      (closes: #1125841).
    - Bump Standards-Version from 4.7.2 to 4.7.3, removing the now-redundant
      "Priority: optional" field.
  * debian/copyright:  Update my copyright years to be 2024-2026.
  * debian/lrc.config:  Add overrides for two new files.
  * debian/rules:  No longer disable test_pytz.

 -- Soren Stoutner <soren@debian.org>  Fri, 30 Jan 2026 21:48:10 -0700

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 # * test_zope_interface fails because it depends on pyinstaller-hooks-contrib, which is not yet packaged.
 # * test_scapy3 fails with an import error.  It might be fixed once pyinstaller-hooks-contrib is packaged.
 # * test_Qt_QTranslate fails for a currently unknown reason (an assertion error).  It might be fixed when pyinstaller-hooks-contrib is packaged.
-export PYBUILD_TEST_ARGS=-n 4 -k 'not test_find_module \
+export PYBUILD_TEST_ARGS=-n 8 -k 'not test_find_module \
   and not test_Qt_QTranslate \
   and not test_scapy3 \
   and not test_gevent \

=== debian/tests/control ===
--- 
+++ 
@@ -32,15 +32,17 @@
          python3-pyside2.qtwebengine,
          python3-pyside2.qtwebenginewidgets,
          python3-pyside2.qtwidgets,
+         python3-pyside6.qtdbus,
          python3-pyside6.qtmultimedia,
          python3-pyside6.qtnetwork,
          python3-pyside6.qtquick3d,
          python3-pyside6.qtquickcontrols2,
          python3-pyside6.qtquickwidgets,
+         python3-pyside6.qtpositioning,
          python3-pyside6.qtuitools,
          python3-pyside6.qtwebenginequick,
          python3-pyside6.qtwebenginewidgets,
-         python3-pytest,
+         python3-pytest-xdist,
          python3-pytest-xvfb,
          python3-requests,
          python3-scapy,
@@ -60,4 +62,5 @@
          qml6-module-qtquick-controls,
          qml6-module-qtquick-window,
          qml6-module-qtwebengine,
+         tzdata-legacy,
          xmldiff
